/*
 This file 'dayjs' is part of Firebird Integrated Solution 1.0

 Copyright (c) 2019 Lincong

 Contact:  
        Email: lincong1987@gmail.com

        QQ: 159257119
 
 See Usage at http://www.jplatformx.com/firebird

 Create date: 2019-01-15 16:22
 */


var dayjs = require('dayjs');


var ZHCN = require('dayjs/locale/zh-cn');
var ZHTW = require('dayjs/locale/zh-tw');
var EN = require('dayjs/locale/en');

var advancedFormat = require('dayjs/plugin/advancedFormat');  
var relativeTime = require('dayjs/plugin/relativeTime');
var isLeapYear = require('dayjs/plugin/isLeapYear');
var weekOfYear = require('dayjs/plugin/weekOfYear');
var isSameOrAfter = require('dayjs/plugin/isSameOrAfter');
var isSameOrBefore = require('dayjs/plugin/isSameOrBefore');
var isBetween = require('dayjs/plugin/isBetween');
var quarterOfYear = require('dayjs/plugin/quarterOfYear');

dayjs.locales = {
	"zh-cn": ZHCN,
	"zh-tw": ZHTW,
	"en": EN
};

dayjs.extend(advancedFormat);// 使用插件

dayjs.extend(relativeTime);

dayjs.extend(isLeapYear);

dayjs.extend(weekOfYear);

dayjs.extend(isSameOrAfter);

dayjs.extend(isSameOrBefore);

dayjs.extend(isBetween);

dayjs.extend(quarterOfYear);

dayjs.locale(ZHCN);

module.exports = {dayjs: dayjs}